bcr_test_module:
  module_path: e2e
  matrix:
    bazel:
      - 7.x
      - 8.x
    platform:
      - centos7_java11_devtoolset10
      - debian10
      - debian11
      - ubuntu2004
      - ubuntu2204
      - fedora39
      - macos
      - macos_arm64
      - windows
  tasks:
    e2e_tests:
      name: Run end-to-end Tests
      bazel: ${{ bazel }}
      platform: ${{ platform }}
      test_targets:
        - "//..."
